iCollection Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iCollection Struct Reference

A collection is used to store related objects in a simple structure to guarentee that they won't be freed by the engine and to help management. More...

`#include <iengine/collection.h>`

Inheritance diagram for iCollection:

List of all members.

## Public Member Functions
virtual void | Add (iObject *obj)=0
| Add an object to this collection.
virtual iCameraPosition * | FindCameraPosition (const char *name)=0
| Find the camera position with the given name in this collection.
virtual iMaterialWrapper * | FindMaterial (const char *name)=0
| Find the material with the given name in this collection.
virtual iMeshFactoryWrapper * | FindMeshFactory (const char *name)=0
| Find the mesh factory with the given name in this collection.
virtual iMeshWrapper * | FindMeshObject (const char *name)=0
| Find the mesh with the given name in this collection.
virtual iSector * | FindSector (const char *name)=0
| Find the sector with the given name in this collection.
virtual iShader * | FindShader (const char *name)=0
| Find the shader with the given name in this collection.
virtual iTextureWrapper * | FindTexture (const char *name)=0
| Find the texture with the given name in this collection.
virtual bool | IsParentOf (iObject *obj)=0
| Returns true if this collection is the parent of the object passed.
virtual iObject * | QueryObject ()=0
| Get the iObject for this collection.
virtual void | ReleaseAllObjects (bool debug=false)=0
| Release all references to objects held by this collection.
virtual void | Remove (iObject *obj)=0
| Remove an object from this collection.

## Detailed Description

A collection is used to store related objects in a simple structure to guarentee that they won't be freed by the engine and to help management.

Definition at line 43 of file collection.h.

## Member Function Documentation

virtual void iCollection::Add | ( | iObject * | obj | ) | `[pure virtual]`

Add an object to this collection.

virtual iCameraPosition* iCollection::FindCameraPosition | ( | const char * | name | ) | `[pure virtual]`

Find the camera position with the given name in this collection.

Returns nullptr if the camera position is not found.

virtual iMaterialWrapper* iCollection::FindMaterial | ( | const char * | name | ) | `[pure virtual]`

Find the material with the given name in this collection.

Returns nullptr if the material is not found.

virtual iMeshFactoryWrapper* iCollection::FindMeshFactory | ( | const char * | name | ) | `[pure virtual]`

Find the mesh factory with the given name in this collection.

Returns nullptr if the mesh factory is not found.

virtual iMeshWrapper* iCollection::FindMeshObject | ( | const char * | name | ) | `[pure virtual]`

Find the mesh with the given name in this collection.

Returns nullptr if the mesh is not found.

virtual iSector* iCollection::FindSector | ( | const char * | name | ) | `[pure virtual]`

Find the sector with the given name in this collection.

Returns nullptr if the sector is not found.

virtual iShader* iCollection::FindShader | ( | const char * | name | ) | `[pure virtual]`

Find the shader with the given name in this collection.

Returns nullptr if the shader is not found.

virtual iTextureWrapper* iCollection::FindTexture | ( | const char * | name | ) | `[pure virtual]`

Find the texture with the given name in this collection.

Returns nullptr if the texture is not found.

virtual bool iCollection::IsParentOf | ( | iObject * | obj | ) | `[pure virtual]`

Returns true if this collection is the parent of the object passed.

virtual iObject* iCollection::QueryObject | ( |  | ) | `[pure virtual]`

Get the iObject for this collection.

virtual void iCollection::ReleaseAllObjects | ( | bool | debug = `false` | ) | `[pure virtual]`

Release all references to objects held by this collection.

virtual void iCollection::Remove | ( | iObject * | obj | ) | `[pure virtual]`

Remove an object from this collection.

The documentation for this struct was generated from the following file:

- iengine/collection.h